%define anolis_release 1

%global mod_name blinker

Name:           python-blinker
Version:        1.6.2
Release:        %{anolis_release}%{?dist}
Summary:        Fast, simple object-to-object and broadcast signaling

License:        MIT
URL:            https://github.com/pallets-eco/blinker
Source0:        %{url}/archive/%{version}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

# Tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)

%global _description\
Blinker provides a fast dispatching system that allows any number\
of interested parties to subscribe to events, or "signals".

%description %_description

%package -n python3-blinker
Summary:        Fast, simple object-to-object and broadcast signaling
%{?python_provide:%python_provide python3-blinker}

%description -n python3-blinker
Blinker provides a fast dispatching system that allows any number
of interested parties to subscribe to events, or "signals".

%prep
%autosetup -n %{mod_name}-%{version}

%generate_buildrequires
# requirements in tests.txt are way too tight
%pyproject_buildrequires requirements/tests.in

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{mod_name}

%check
%tox

%files -n python3-blinker -f %{pyproject_files}
%doc CHANGES.rst LICENSE.rst README.rst


%changelog
* Wed Sep 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.6.2-1
- Init upstream from version 1.6.2
